View Issue Details

IDProjectCategoryView StatusLast Update
0004976SOGoWeb Calendarpublic2020-08-17 16:07
Reporterrof Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Fixed in Version5.0.1 
Summary0004976: nested groups from LDAP do not get rights from shared calendar
Description

We use the LDAP connection and have some groups which contain other groups. If I share a calendar, the directly assigned users can work with the calendar. But the users from subgroups have no permission.

Tagsemail, group, ldap

Activities

rof

rof

2020-03-06 06:13

reporter   ~0014200

This also affects breaking up the groups into members in address fields of a new email. If you break up a maingroup containing 2 subgroups (see attachment "sogo_maingroup.png"), only the subgroups are shown (see attachment "sogo_maingroup.png"), which may or may not be addressable.

Expected behaviour: Breaking up groups containing subgroups should result in showing all affected users - not other subgroups themselves. Resolving should be recursive.

sogo_maingroup.png (8,725 bytes)   
sogo_maingroup.png (8,725 bytes)   
sogo_subgroups.png (7,631 bytes)   
sogo_subgroups.png (7,631 bytes)   
francis

francis

2020-08-17 16:07

administrator   ~0014700

See https://github.com/inverse-inc/sogo/commit/6aca61d8aef4f34e45b480ce3bae19318bc0e685

Issue History

Date Modified Username Field Change
2020-03-04 04:54 rof New Issue
2020-03-06 06:13 rof File Added: sogo_maingroup.png
2020-03-06 06:13 rof File Added: sogo_subgroups.png
2020-03-06 06:13 rof Note Added: 0014200
2020-03-06 06:15 rof Tag Attached: email
2020-03-06 06:15 rof Tag Attached: ldap
2020-03-06 06:15 rof Tag Attached: group
2020-08-17 16:06 francis Assigned To => francis
2020-08-17 16:06 francis Status new => resolved
2020-08-17 16:06 francis Resolution open => fixed
2020-08-17 16:06 francis Fixed in Version => 5.0.1
2020-08-17 16:07 francis Note Added: 0014700